Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.icons
Class OverlayIcon

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.icons.OverlayIcon

All Implemented Interfaces:
  Icon

    public class OverlayIcon

extends Object
implements Icon

Author:
  Holger Knublauch

Constructor Summary
`OverlayIcon(Image baseImage, int baseX, int baseY, Image topImage, int topX, int topY)`
`OverlayIcon(Image baseImage, int baseX, int baseY, Image topImage, int topX, int topY, int width, int height)`
`OverlayIcon(String baseIconName, int baseX, int baseY, String topIconName, int topX, int topY)`
`OverlayIcon(String baseIconName, int baseX, int baseY, String topIconName, int topX, int topY, Class clazz)`

Method Summary
`Icon` | `getGrayedIcon()`
`int` | `getIconHeight()`
`int` | `getIconWidth()`
`void` | `paintIcon(Component c, Graphics g, int x, int y)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OverlayIcon

    public OverlayIcon(String baseIconName,
                       int baseX,
                       int baseY,
                       String topIconName,
                       int topX,
                       int topY)

### OverlayIcon

    public OverlayIcon(String baseIconName,
                       int baseX,
                       int baseY,
                       String topIconName,
                       int topX,
                       int topY,
                       Class clazz)

### OverlayIcon

    public OverlayIcon(Image baseImage,
                       int baseX,
                       int baseY,
                       Image topImage,
                       int topX,
                       int topY)

### OverlayIcon

    public OverlayIcon(Image baseImage,
                       int baseX,
                       int baseY,
                       Image topImage,
                       int topX,
                       int topY,
                       int width,
                       int height)

Method Detail

### getIconHeight

    public int getIconHeight()

  Specified by:
    `getIconHeight` in interface `Icon`

### getIconWidth

    public int getIconWidth()

  Specified by:
    `getIconWidth` in interface `Icon`

### getGrayedIcon

    public Icon getGrayedIcon()

### paintIcon

    public void paintIcon(Component c,
                          Graphics g,
                          int x,
                          int y)

  Specified by:
    `paintIcon` in interface `Icon`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.